Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks.bundling
[Java] Class Tar

    java.lang.Object
      org.gradle.api.internal.ConventionTask
          org.gradle.api.tasks.AbstractCopyTask
              org.gradle.api.tasks.bundling.AbstractArchiveTask
                  org.gradle.api.tasks.bundling.Tar

    public class Tar
    extends AbstractArchiveTask

Assembles a TAR archive.

Authors:
  Hans Dockter

Constructor Summary
`Tar()`

Method Summary
`Compression` | `getCompression()` Returns the compression to use for this archive.
`protected CopyActionImpl` | `getCopyAction()`
`void` | `setCompression(Compression compression)` Specifies the compression to use for this archive.

Methods inherited from class AbstractArchiveTask
getAppendix, getArchiveName, getArchivePath, getBaseName, getClassifier, getDestinationDir, getExtension, getVersion, setAppendix, setArchiveName, setBaseName, setClassifier, setDestinationDir, setExtension, setVersion

Methods inherited from class AbstractCopyTask
configureRootSpec, copy, eachFile, eachFile, exclude, exclude, exclude, exclude, expand, filter, filter, filter, from, from, getCopyAction, getDefaultSource, getDirMode, getExcludes, getFileMode, getIncludes, getMainSpec, getRootSpec, getSource, include, include, include, include, into, into, isCaseSensitive, rename, rename, rename, setCaseSensitive, setDirMode, setExcludes, setFileMode, setIncludes, with

Constructor Detail

### Tar

    public Tar()

Method Detail

### getCompression

    public Compression getCompression()

  Returns the compression to use for this archive.
  Returns:
    The compression. Never returns null.

### getCopyAction

    protected CopyActionImpl getCopyAction()

### setCompression

    public void setCompression(Compression compression)

  Specifies the compression to use for this archive.
  Parameters:
    `compression` - The compression. Should not be null.

Groovy Documentation